﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.UI.Xaml.Charts;
using System.Collections;
using Syncfusion.Windows.Shared;
using Syncfusion.UI.Xaml.Grid;

namespace RangeNavigator_Grid
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private ObservableCollection<object> values;
            
        public MainWindow()
        {
            InitializeComponent();

            RangeNavigator.ValueChanged += RangeNavigator_ValueChanged;
        }
        
        void RangeNavigator_ValueChanged(object sender, EventArgs e)
        {
           var items = (sender as SfDateTimeRangeNavigator).SelectedData;

            datagrid.ItemsSource = items;

            var gridItemsCollection = datagrid.ItemsSource  as ObservableCollection<object>;
            
            foreach (var selectedItem in gridItemsCollection)
            {
                datagrid.SelectedItems.Add((selectedItem));
            }
        }
    }
}
