﻿using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RangeNavigator_Grid
{
    public class ViewModel : NotificationObject
    {
        public ViewModel()
        {
            this.datavalue = new ObservableCollection<DataValues>();
            DateTime _date = new DateTime(2012, 1, 1);
            Random random = new Random();

            for (int i = 0; i < 250; i++)
            {
                datavalue.Add(new DataValues(_date.AddDays(i), random.Next(20, 50), random.Next(15, 40)));
            }
        }

        private ObservableCollection<object> selectedItems;
        public ObservableCollection<object> SelectedItems
        {
            get
            {
                return selectedItems;
            }
            set
            {
                selectedItems = value;
                RaisePropertyChanged("SelectedItems");
            }
        }

        private ObservableCollection<DataValues> datavalue;
        public ObservableCollection<DataValues> DataValue
        {
            get
            {
                return datavalue;
            }
            set { RaisePropertyChanged("DataValue"); }
        }
    }
}
